package com.ing;

import javax.xml.namespace.QName;
import javax.xml.soap.AttachmentPart;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPBody;
import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPConnection;
import javax.xml.soap.SOAPConnectionFactory;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPMessage;
import javax.xml.soap.SOAPPart;

import org.jboss.soa.esb.message.Body;

public class SOAPTip {

	public static void main(String args[]) {

		try {

			// First create the connection
			SOAPConnectionFactory soapConnFactory = SOAPConnectionFactory
					.newInstance();
			SOAPConnection connection = soapConnFactory.createConnection();

			// Next, create the actual message
			MessageFactory messageFactory = MessageFactory.newInstance();
			SOAPMessage message = messageFactory.createMessage();

			// Create objects for the message parts
			SOAPPart soapPart = message.getSOAPPart();
			SOAPEnvelope envelope = soapPart.getEnvelope();
			SOAPBody body = envelope.getBody();

			QName bodyName = new QName("http://site.org", "getAuthors", "chap");

			SOAPBodyElement bodyElement = body.addBodyElement(bodyName);

			// Attach an attachment ..
			AttachmentPart attachment = message.createAttachmentPart();
			String stringContent = "Hello World";
			attachment.setContent(stringContent, "text/plain");
			// attachment.setContent(stringContent, "text/plain");
			attachment.setContentId("helloAttachment");
			message.addAttachmentPart(attachment);

			SOAPMessage asd = connection
					.call(message,
							"http://localhost:9999/FirstESBProject/ebws/FirstESBSample/FirstESBService");

			// Close the connection
			connection.close();

		} catch (Exception e) {
			System.out.println(e.getMessage());
		}
	}
}
